Description: Don't require python for build
 The features requiring Python are not packaged for Debian, therefore this patch
 removes the build system's check for it.
Author: Sebastian Humenda <shumenda@gmx.de>
Last-Update: 2018-08-04


Index: freedict-tools/mk/config.mk
===================================================================
--- freedict-tools.orig/mk/config.mk
+++ freedict-tools/mk/config.mk
@@ -68,52 +68,52 @@ FREEDICTRC = $(wildcard $(HOME)/.config/
 
 
 ################################################################################
-# Python special handling
-# First, the interpreter is queried for the correct version (and name). Then the
-# setup for a virtual environment is done. For the "end-user", all that matters
-# should be the exc_pyscript function, e.g.:
+## Python special handling
+## First, the interpreter is queried for the correct version (and name). Then the
+## setup for a virtual environment is done. For the "end-user", all that matters
+## should be the exc_pyscript function, e.g.:
+##
+## 	foo:
+## 		$(exc_pyscript) fd_api --what-ever
 #
-# 	foo:
-# 		$(exc_pyscript) fd_api --what-ever
-
-# find interpreter with matching name, python3 or python?
-PYTHON := $(shell command -v python3 2> /dev/null)
-ifeq ($(PYTHON),)
-	PYTHON := $(shell command -v python 2> /dev/null)
-ifeq ("$(PYTHON)","")
-$(error No Python executable found, please make sure that a recent Python is in the search path)
-endif
-endif
-
-# query version
-PYTHON_VERSION_FULL := $(wordlist 2,4,$(subst ., ,$(shell $(PYTHON) --version 2>&1)))
-PYTHON_VERSION_MAJOR := $(word 1,${PYTHON_VERSION_FULL})
-
-ifneq ($(PYTHON_VERSION_MAJOR),3)
-$(error a python Version >= 3.4 is required, current python major is $(PYTHON_VERSION_MAJOR))
-endif
-
-# exc_pyscript is meant to either call a system-wide installed version or one
-# from a virtual env. The latter needs to be specified in the FD configuration,
-# documented in the wiki.
-# This is a fallback for system-wide script usage:
-exc_pyscript = $(1) $(2) $(3) $(4) $(5) $(6) $(7) $(8) $(9)
-
-# find a (python) virtual env
-# ToDo: look at detection algorithm
-FREEDICTRC = $(HOME)/.config/freedict/freedictrc
-ifneq ($(wildcard $(FREEDICTRC)),)
-VIRTUAL_ENV=$(shell grep -E 'virtual_env.*=.*' < $(FREEDICTRC) | cut -d = -f 2\
-			|tr -d ' ')
-# if virtual env found
-ifneq ($(VIRTUAL_ENV),)
-ifneq ($(wildcard $(VIRTUAL_ENV)),)
-# call python from the virtual environment
-exc_pyscript = source $(VIRTUAL_ENV)/bin/activate; \
-	$(1) $(2) $(3) $(4) $(5) $(6) $(7) $(8) $(9)
-endif
-endif
-endif
+## find interpreter with matching name, python3 or python?
+#PYTHON := $(shell command -v python3 2> /dev/null)
+#ifeq ($(PYTHON),)
+#	PYTHON := $(shell command -v python 2> /dev/null)
+#ifeq ("$(PYTHON)","")
+#$(error No Python executable found, please make sure that a recent Python is in the search path)
+#endif
+#endif
+#
+## query version
+#PYTHON_VERSION_FULL := $(wordlist 2,4,$(subst ., ,$(shell $(PYTHON) --version 2>&1)))
+#PYTHON_VERSION_MAJOR := $(word 1,${PYTHON_VERSION_FULL})
+#
+#ifneq ($(PYTHON_VERSION_MAJOR),3)
+#$(error a python Version >= 3.4 is required, current python major is $(PYTHON_VERSION_MAJOR))
+#endif
+#
+## exc_pyscript is meant to either call a system-wide installed version or one
+## from a virtual env. The latter needs to be specified in the FD configuration,
+## documented in the wiki.
+## This is a fallback for system-wide script usage:
+#exc_pyscript = $(1) $(2) $(3) $(4) $(5) $(6) $(7) $(8) $(9)
+#
+## find a (python) virtual env
+## ToDo: look at detection algorithm
+#FREEDICTRC = $(HOME)/.config/freedict/freedictrc
+#ifneq ($(wildcard $(FREEDICTRC)),)
+#VIRTUAL_ENV=$(shell grep -E 'virtual_env.*=.*' < $(FREEDICTRC) | cut -d = -f 2\
+#			|tr -d ' ')
+## if virtual env found
+#ifneq ($(VIRTUAL_ENV),)
+#ifneq ($(wildcard $(VIRTUAL_ENV)),)
+## call python from the virtual environment
+#exc_pyscript = source $(VIRTUAL_ENV)/bin/activate; \
+#	$(1) $(2) $(3) $(4) $(5) $(6) $(7) $(8) $(9)
+#endif
+#endif
+#endif
 
 
 ################################################################################
